<mat-form-field>
    <input matInput type="text" placeholder="Search Your category Here" name="searchCategoryInput" [(ngModel)]="searchCategory" size="100" (ngModelChange)="filterList()">
  </mat-form-field>
  <ng-container *ngIf="isAdmin=='admin'">
    <button type="button" mat-fab color="primary" class="add-btn" [routerLink]="['/admin/catAdd']">
      <mat-icon>add</mat-icon>
    </button>
  </ng-container>
  <div class="card-list-container">
        <ng-container *ngFor="let card of filteredList;let index=index;trackBy:trackByIndex[index]">
            <category-card [categoryData]="filteredList[index]"(onDelete)="deleteCategory(index)" (onEdit)="editData(index)"(onView)="viewBooksInCategory(index)"></category-card>
        </ng-container> 
  </div>
